## gtksourceview3 3.10.1

=== debian/changelog ===
gtksourceview3 (3.10.1-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependencies according to configure.ac:
    - libgtk-3-dev to >= 3.9.9
    - libglib2.0-dev to >= 2.37.3
  * Update debian/libgtksourceview-3.0-1.symbols with added symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 17:08:13 +0200

gtksourceview3 (3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 12 Aug 2013 13:04:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gtksourceview3
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 8.1.3),
               gnome-pkg-tools (>= 0.7),
               libgtk-3-dev (>= 3.9.9),
               libatk1.0-dev (>= 1.32),
               libxml2-dev (>= 2.6),
               libxml2-utils,
               intltool (>= 0.40),
               gtk-doc-tools (>= 1.11),
               libglib2.0-dev (>= 2.37.3),
               libgladeui-dev (>= 3.9),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.0)
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
Homepage: http://projects.gnome.org/gtksourceview/

Package: libgtksourceview-3.0-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtksourceview-3.0-common (>= ${source:Version})
Description: shared libraries for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the shared libraries required by applications to use
 this widget.

Package: libgtksourceview-3.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the language specifications files for Ada, C, C++, C#,
 CSS, ".desktop", ".diff" (patch), Fortran 95, GtkRC, Haskell, HTML, IDL,
 ".ini", Java, JavaScript, LaTeX, Lua, MSIL, Nemerle, Pascal, Perl, PHP, ".po"
 (gettext), Python, R, Ruby, sh, SQL, Tcl, Texinfo, VB.NET, Verilog, VHDL and
 XML.

Package: libgtksourceview-3.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgtksourceview-3.0-1 (= ${binary:Version}),
         gir1.2-gtksource-3.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.8),
         libxml2-dev (>= 2.6.0)
Suggests: libgtksourceview-3.0-doc
Breaks: libgtksourceview-3.0-common (<< 3.2.3-2)
Replaces: libgtksourceview-3.0-common (<< 3.2.3-2)
Description: development files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the header files required if you wish to develop
 software that uses the GtkSourceView widget.

Package: libgtksourceview-3.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the GtkSourceView reference manual.

Package: gir1.2-gtksource-3.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends}
Description: gir files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains gobject introspection information.

## gtksourceview3 3.10.2

=== debian/changelog ===
gtksourceview3 (3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Feb 2014 10:05:02 +0000

gtksourceview3 (3.10.1-0ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 14:06:12 +0100

gtksourceview3 (3.10.1-0ubuntu1) trusty; urgency=low

  * New upstream version:
  * debian/control.in:
    - let the common C/R the old soname binary for upgrades (lp: #1185092) 
    - updated glib and gtk requirements
  * debian/libgtksourceview-3.0-1.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Dec 2013 15:51:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,30 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtksourceview3
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
+               dh-autoreconf,
                cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.7),
-               libgtk-3-dev (>= 3.9.9),
+               libgtk-3-dev (>= 3.10),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
-               libglib2.0-dev (>= 2.37.3),
+               libglib2.0-dev (>= 2.38.0),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: http://projects.gnome.org/gtksourceview/
 
@@ -46,6 +47,8 @@
 Package: libgtksourceview-3.0-common
 Architecture: all
 Multi-Arch: foreign
+Conflicts: libgtksourceview-3.0-0
+Replaces: libgtksourceview-3.0-0
 Depends: ${misc:Depends}
 Description: common files for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
@@ -64,7 +67,7 @@
 Depends: ${misc:Depends},
          libgtksourceview-3.0-1 (= ${binary:Version}),
          gir1.2-gtksource-3.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.3.8),
+         libgtk-3-dev (>= 3.10),
          libxml2-dev (>= 2.6.0)
 Suggests: libgtksourceview-3.0-doc
 Breaks: libgtksourceview-3.0-common (<< 3.2.3-2)

=== debian/rules ===
#!/usr/bin/make -f
#(C) 2002 Colin Walters

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE = gtksourceview

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
                             --enable-glade-catalog \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS += -V -- -c4

DEB_MAKE_CHECK_TARGET := -C data/language-specs check

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/([\d\.]+[02468])/ \
	gtksourceview-(.*)\.tar\.xz

## gtksourceview3 3.12.3

=== debian/changelog ===
gtksourceview3 (3.12.3-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Let the common C/R the old soname binary for upgrades (lp: #1185092) 
    - Correct GTK+ version dependency for -dev package
    - Build-depend on dh-autoreconf
  * debian/rules:
    - Build using dh-autoreconf.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 01 Sep 2014 06:36:09 +1000

gtksourceview3 (3.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 16:27:35 -0700

gtksourceview3 (3.12.2-1ubuntu1) utopic; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Let the common C/R the old soname binary for upgrades (lp: #1185092) 
    - Correct GTK+ version dependency for -dev package
    - Build-depend on dh-autoreconf
  * debian/rules:
    - Build using dh-autoreconf.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Jul 2014 11:31:02 +1200

gtksourceview3 (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 12:48:15 +0200

gtksourceview3 (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 09:58:53 +0200

gtksourceview3 (3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 18:57:59 +0100

gtksourceview3 (3.11.90-1) experimental; urgency=medium

  * New upstream release.
  * Bump gtk+ build-dependency to 3.11.0 according to configure.ac
  * Update debian/libgtksourceview-3.0-1.symbols with 2 added symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 22:47:48 +0100

gtksourceview3 (3.10.2-1) unstable; urgency=medium

  * New upstream release. 
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Fix GObject capitalization

 -- Laurent Bigonville <bigon@debian.org>  Sun, 16 Feb 2014 17:37:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,25 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: autotools-dev,
                dh-autoreconf,
                cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.7),
-               libgtk-3-dev (>= 3.10),
+               libgtk-3-dev (>= 3.11.0),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
-               libglib2.0-dev (>= 2.38.0),
+               libglib2.0-dev (>= 2.37.3),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtksourceview3
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: http://projects.gnome.org/gtksourceview/
 
@@ -102,4 +102,4 @@
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and
  other features typical of a source editor.
  .
- This package contains gobject introspection information.
+ This package contains GObject introspection information.

## gtksourceview3 3.14.1

=== debian/changelog ===
gtksourceview3 (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Install typelib files into multiarch paths.
  * Mark gir and dev package as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Oct 2014 20:29:35 +0200

gtksourceview3 (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 20:55:55 +0200

gtksourceview3 (3.13.90-1) experimental; urgency=medium

  * New upstream development release.
  * Update build-dependencies according to configure.ac:
    + Bump libgtk-3-dev to (>= 3.13.7)
    + Add valac for new vala bindings
  * Update debian/libgtksourceview-3.0-1.symbols with new additions.
  * debian/libgtksourceview-3.0-dev.install: ship vala deps and vapi files

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 11:24:17 -0700

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,13 @@
 Source: gtksourceview3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
-               dh-autoreconf,
                cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.7),
-               libgtk-3-dev (>= 3.11.0),
+               libgtk-3-dev (>= 3.13.7),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
                libxml2-utils,
@@ -22,12 +20,13 @@
                libglib2.0-dev (>= 2.37.3),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.0)
+               libgirepository1.0-dev (>= 0.9.0),
+               valac
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
-Homepage: http://projects.gnome.org/gtksourceview/
+Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-3.0-1
 Architecture: any
@@ -47,8 +46,6 @@
 Package: libgtksourceview-3.0-common
 Architecture: all
 Multi-Arch: foreign
-Conflicts: libgtksourceview-3.0-0
-Replaces: libgtksourceview-3.0-0
 Depends: ${misc:Depends}
 Description: common files for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
@@ -64,10 +61,11 @@
 Package: libgtksourceview-3.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libgtksourceview-3.0-1 (= ${binary:Version}),
          gir1.2-gtksource-3.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.10),
+         libgtk-3-dev (>= 3.3.8),
          libxml2-dev (>= 2.6.0)
 Suggests: libgtksourceview-3.0-doc
 Breaks: libgtksourceview-3.0-common (<< 3.2.3-2)
@@ -95,6 +93,7 @@
 Package: gir1.2-gtksource-3.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}
 Description: gir files for the GTK+ syntax highlighting widget

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 #(C) 2002 Colin Walters
 
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk

## gtksourceview3 3.14.4

=== debian/changelog ===
gtksourceview3 (3.14.4-1) experimental; urgency=medium

  * New upstream release 3.14.4
    + Fix a crash when destroying the widget during a search
    + Various other bug fixes
  * debian/patches: Drop patch which is applied upstream now.

 -- Iain Lane <laney@debian.org>  Wed, 08 Apr 2015 15:50:15 +0100

gtksourceview3 (3.14.3-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release. LP: #1423016
    + Resolves crash in completion in gedit's 'snippets' plugin. (LP:
      #1428333)
  * Add git_fix_height_parameter.patch. Fix a typo saying width is height.

  [ Iain Lane ]
  * Don't patch ltmain.sh manually; use dh-autoreconf to do this.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 05 Mar 2015 12:47:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
                cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
+               dh-autoreconf,
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.13.7),
                libatk1.0-dev (>= 1.32),
@@ -24,8 +25,8 @@
                valac
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/gtksourceview3
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gtksourceview3
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-3.0-1

## gtksourceview3 3.16.1

=== debian/changelog ===
gtksourceview3 (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.16).
    - Bump libglib2.0-dev to (>= 2.44).
  * Point Vcs-* URLs to the unstable branch.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Update symbols file with new API additions.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 19:48:35 +0200

gtksourceview3 (3.14.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 02:39:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,24 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
                cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.7),
-               libgtk-3-dev (>= 3.13.7),
+               libgtk-3-dev (>= 3.16),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
-               libglib2.0-dev (>= 2.37.3),
+               libglib2.0-dev (>= 2.44),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),
                valac
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/gtksourceview3
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gtksourceview3
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-3.0-1
@@ -69,8 +69,6 @@
          libgtk-3-dev (>= 3.3.8),
          libxml2-dev (>= 2.6.0)
 Suggests: libgtksourceview-3.0-doc
-Breaks: libgtksourceview-3.0-common (<< 3.2.3-2)
-Replaces: libgtksourceview-3.0-common (<< 3.2.3-2)
 Description: development files for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and

## gtksourceview3 3.18.2

=== debian/changelog ===
gtksourceview3 (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2016 22:36:59 +0100

gtksourceview3 (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Oct 2015 15:47:49 +0200

gtksourceview3 (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump gtk-doc-tools to >= 1.24
  * Update debian/libgtksourceview-3.0-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 13:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
                cdbs (>= 0.4.93),
                debhelper (>= 9),
@@ -17,7 +17,7 @@
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
-               gtk-doc-tools (>= 1.11),
+               gtk-doc-tools (>= 1.24),
                libglib2.0-dev (>= 2.44),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
@@ -26,7 +26,7 @@
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-3.0-1

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 #(C) 2002 Colin Walters
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+
+DEB_DH_AUTORECONF_ARGS = --as-needed
 
 GNOME_MODULE = gtksourceview

## gtksourceview3 3.20.4

=== debian/changelog ===
gtksourceview3 (3.20.4-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2016 01:42:05 +0200

gtksourceview3 (3.20.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2016 13:07:30 +0200

gtksourceview3 (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 01:49:56 +0200

gtksourceview3 (3.20.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 23:31:19 +0200

gtksourceview3 (3.20.1-1) experimental; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - Bump libgtk-3-dev to >= 3.19.6
    - Bump gtk-doc-tools to >= 1.25
    - Bump libglib2.0-dev to >= 2.47.0
  * Update debian/libgtksourceview-3.0-1.symbols with several additions.
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Apr 2016 16:10:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,24 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
-               cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.7),
-               libgtk-3-dev (>= 3.16),
+               libgtk-3-dev (>= 3.19.6),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
-               gtk-doc-tools (>= 1.24),
-               libglib2.0-dev (>= 2.44),
+               gtk-doc-tools (>= 1.25),
+               libglib2.0-dev (>= 2.47.0),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),
                valac
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
@@ -66,7 +65,7 @@
 Depends: ${misc:Depends},
          libgtksourceview-3.0-1 (= ${binary:Version}),
          gir1.2-gtksource-3.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.3.8),
+         libgtk-3-dev (>= 3.19.6),
          libxml2-dev (>= 2.6.0)
 Suggests: libgtksourceview-3.0-doc
 Description: development files for the GTK+ syntax highlighting widget

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE = gtksourceview

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-static \
		--enable-glade-catalog

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_auto_test:
	$(MAKE) -C data/language-specs check

## gtksourceview3 3.21.6

=== debian/changelog ===
gtksourceview3 (3.21.6-1) unstable; urgency=medium

  * New upstream release.
  * Use dh_install --list-missing to show uninstalled files.
  * Generate the gtk-doc documentation during build. Add necessary -doc
    packages to Build-Depends-Indep for proper cross-references. Also add
    those to Suggests of libgtksourceview-3.0-doc.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 14:11:35 +0200

gtksourceview3 (3.21.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 13:18:47 +0200

gtksourceview3 (3.21.5-1) experimental; urgency=medium

  * New upstream development release.
  * Update debian/libgtksourceview-3.0-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 22:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,10 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),
                valac
-Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
+Build-Depends-Indep: libglib2.0-doc,
+                     libgtk-3-doc,
+                     libgdk-pixbuf2.0-doc,
+                     libpango1.0-doc
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
@@ -80,7 +83,11 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: devhelp
+Suggests: devhelp,
+          libglib2.0-doc,
+          libgtk-3-doc,
+          libgdk-pixbuf2.0-doc,
+          libpango1.0-doc
 Description: documentation for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-gtk-doc \
 		--enable-static \
 		--enable-glade-catalog
+
+override_dh_install:
+	dh_install --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V -- -c4

## gtksourceview3 3.22.2

=== debian/changelog ===
gtksourceview3 (3.22.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/watch to only look for stable 3.* series

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Jan 2017 01:17:18 +0100

gtksourceview3 (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2016 20:25:32 +0100

gtksourceview3 (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 19:13:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.19.6),
                libatk1.0-dev (>= 1.32),

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf,gnome,gir
+	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## gtksourceview3 3.24.0

=== debian/changelog ===
gtksourceview3 (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Mar 2017 14:50:56 -0400

gtksourceview3 (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 11:23:54 -0400

gtksourceview3 (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/watch: Update to only look for stable 3.* series
  * debian/libgtksourceview-3.0-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Feb 2017 07:57:09 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gtksourceview3
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.19.6),

## gtksourceview3 3.24.5

=== debian/changelog ===
gtksourceview3 (3.24.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 01 Oct 2017 17:32:02 -0400

gtksourceview3 (3.24.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 11:00:40 -0400

gtksourceview3 (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-3.0-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Aug 2017 21:59:46 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gtksourceview3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.19.6),
@@ -25,7 +24,7 @@
                      libgtk-3-doc,
                      libgdk-pixbuf2.0-doc,
                      libpango1.0-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView

## gtksourceview3 3.24.7

=== debian/changelog ===
gtksourceview3 (3.24.7-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Tim Lunn <tim@feathertop.org>  Sat, 17 Mar 2018 12:43:39 +1100

gtksourceview3 (3.24.6-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 09:41:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gtksourceview3
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.19.6),
@@ -24,9 +24,9 @@
                      libgtk-3-doc,
                      libgdk-pixbuf2.0-doc,
                      libpango1.0-doc
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtksourceview3
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtksourceview3
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview3
+Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview3.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-3.0-1

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE = gtksourceview

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-static \
		--enable-glade-catalog

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	$(MAKE) -C data/language-specs check

## gtksourceview3 3.24.9

=== tests/syntax-highlighting/Makefile ===
all: foo bar
foo: hello ; $(MAKE) bar
bar:
	echo "Hello world!"

=== debian/changelog ===
gtksourceview3 (3.24.9-1) unstable; urgency=medium

  * New upstream release
  * Run all the build tests. Use xvfb.
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 19:46:04 -0400

gtksourceview3 (3.24.8-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Aug 2018 16:58:29 +0200

gtksourceview3 (3.24.7-2) unstable; urgency=medium

  * Stop building glade catalog. It's built by gtksourceview4 now.
    (Closes: #879909)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 17:36:34 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.7),
                libgtk-3-dev (>= 3.19.6),
                libatk1.0-dev (>= 1.32),
@@ -19,12 +19,14 @@
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),
-               valac
+               valac,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk-3-doc,
                      libgdk-pixbuf2.0-doc,
                      libpango1.0-doc
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview3.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-static

override_dh_install:
	find debian -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	xvfb-run dh_auto_test

## gtksourceview3 3.24.10

=== debian/changelog ===
gtksourceview3 (3.24.10-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 17:45:25 -0400

gtksourceview3 (3.24.9-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:40:22 -0500

## gtksourceview3 3.24.11

=== debian/changelog ===
gtksourceview3 (3.24.11-5) unstable; urgency=medium

  * Update gir packaging

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 13:53:41 -0400

gtksourceview3 (3.24.11-4) unstable; urgency=medium

  * Stop building glade catalog support
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 12:53:24 -0400

gtksourceview3 (3.24.11-3) unstable; urgency=medium

  [ Robert Schöftner ]
  * Add patch to fix build with gcc-14 (Closes: #1075055)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.7.0

  [ Laurent Bigonville ]
  * debian/rules: Set NO_AT_BRIDGE=1 for the tests, that should fix the build
    on non-Linux architectures

  [ Jeremy Bícha ]
  * Stop using debian/control.in and gnome-pkg-tools
  * Add Build-Depends: dh-sequence-gir & set Provides: ${gir:Provides}

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Aug 2024 21:05:36 -0400

gtksourceview3 (3.24.11-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 14:16:27 -0400

gtksourceview3 (3.24.11-1) experimental; urgency=medium

  * New upstream release
    - Improvements to the syntax highlighting of: YAML, Julia, C++, and C
    - Fix a crash with YAML. (lp: #1830288)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 May 2019 23:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gtksourceview3
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.7),
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               gir1.2-gdk-3.0-dev,
+               gir1.2-gtk-3.0-dev,
                libgtk-3-dev (>= 3.19.6),
                libatk1.0-dev (>= 1.32),
                libxml2-dev (>= 2.6),
@@ -16,9 +14,7 @@
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.25),
                libglib2.0-dev (>= 2.47.0),
-               libgladeui-dev (>= 3.9),
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.0),
+               gobject-introspection (>= 1.80),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -26,7 +22,7 @@
                      libgtk-3-doc,
                      libgdk-pixbuf2.0-doc,
                      libpango1.0-doc
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview3.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
@@ -34,7 +30,6 @@
 Package: libgtksourceview-3.0-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtksourceview-3.0-common (>= ${source:Version})
@@ -65,11 +60,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          libgtksourceview-3.0-1 (= ${binary:Version}),
-         gir1.2-gtksource-3.0 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.6),
          libxml2-dev (>= 2.6.0)
+Provides: ${gir:Provides}
 Suggests: libgtksourceview-3.0-doc
 Description: development files for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-static

execute_before_dh_install:
	find debian -name '*.la' -print -delete

override_dh_auto_test:
	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtksourceview/(3\.2[02468])/ \
	gtksourceview@ANY_VERSION@\.tar\.xz
